int external_start(int, string | string *, string | function, string | function, string | function | void);
int terminal_pty_start(int, string *);
int terminal_pty_stop();
int terminal_pty_signal(int);
int terminal_pty_busy();
